/*	VERSION SIMPLIFIEE ZF 15/08/20011
 *
 * 	Easy Slider 1.7 - jQuery plugin
 *	written by Alen Grakalic	
 *	http://cssglobe.com/post/4004/easy-slider-15-the-easiest-jquery-plugin-for-sliding
 *
 *	Copyright (c) 2009 Alen Grakalic (http://cssglobe.com)
 *	Dual licensed under the MIT (MIT-LICENSE.txt)
 *	and GPL (GPL-LICENSE.txt) licenses.
 *
 *	Built for jQuery library
 *	http://jquery.com
 *
 */
 
/*
 *	markup example for $("#slider").easySlider();
 * <div id="visuels">	
 * 	<div id="slider">
 *		<ul>
 *			<li><img src="images/01.jpg" alt="" /></li>
 *			<li><img src="images/02.jpg" alt="" /></li>
 *			<li><img src="images/03.jpg" alt="" /></li>
 *			<li><img src="images/04.jpg" alt="" /></li>
 *			<li><img src="images/05.jpg" alt="" /></li>
 *		</ul>
 *	</div>
 * </div>
 */

(function($) {

	$.fn.easySlider = function(options){
	  
		// default configuration properties
		var defaults = {			
			prevId: 		'prevBtn',
			prevText: 		'retour',
			nextId: 		'nextBtn',	
			nextText: 		'la suite...',
			vertical:		false,
			speed: 			600
		}; 
		
		var options = $.extend(defaults, options);  
				
		this.each(function() {  
			var obj = $(this); 				
			var s = $("li", obj).length;
			var w = $("li", obj).width(); 
			var h = $("li", obj).height(); 
			var clickable = true;
			obj.width(w); 
			obj.height(h); 
			obj.css("overflow","hidden");
			var ts = s-1;
			var t = 0;
			$("ul", obj).css('width',s*w);
										
			if(!options.vertical) $("li", obj).css('float','left');								
			
			var html = '';				
			html += ' <span id="'+ options.prevId +'"><a href=\"javascript:void(0);\" title=\" '+ options.prevText +' \"> </a></span>';
			html += ' <span id="'+ options.nextId +'"><a href=\"javascript:void(0);\" title=\" '+ options.nextText +' \"> </a></span>';
							
			$(obj).after(html);										
		
			$("a","#"+options.nextId).click(function(){		
				animate("next",true);
			});
			
			$("a","#"+options.prevId).click(function(){		
				animate("prev",true);				
			});	
				
			
			function adjust(){
				if(t>ts) t=0;		
				if(t<0) t=ts;	
				
				if(!options.vertical) {
					$("ul",obj).css("margin-left",(t*w*-1));
				} else {
					$("ul",obj).css("margin-top",(t*h*-1));
				}
				clickable = true;
				
			};
			
			function animate(dir,clicked){
				if (clickable){
					clickable = false;
					var ot = t;				
					switch(dir){
						case "next":
							t = (ot>=ts) ?  ts : t+1;						
							break; 
						case "prev":
							t = (t<=0) ?  0 : t-1;
							break;						
						default:
							t = dir;
							break; 
					};	
					var diff = Math.abs(ot-t);
					var speed = diff*options.speed;						
					
					if(!options.vertical) {
						p = (t*w*-1);
						$("ul",obj).animate(
							{ marginLeft: p }, 
							{ queue:false, duration:speed, complete:adjust }
						);				
					} else {
						p = (t*h*-1);
						$("ul",obj).animate(
							{ marginTop: p }, 
							{ queue:false, duration:speed, complete:adjust }
						);	
					}
								
					if(t==ts){
						$("a","#"+options.nextId).hide();						
					} else {
						$("a","#"+options.nextId).show();									
					};
					
					if(t==0){
						$("a","#"+options.prevId).hide();						
					} else {
						$("a","#"+options.prevId).show();						
					};									
					
					if(clicked) clearTimeout(timeout);					
			
				};
				
			};
			// init
			var timeout;
							
				$("a","#"+options.prevId).hide();
							
			 if($('li').length == 1){	$("a","#"+options.nextId).hide();	}
		});
	  
	};

})(jQuery);



